[Bf-blender-cvs] SVN commit: /data/svn/bf-blender [13127] trunk/lib/solaris-2.10-x86_64/png: added libpng, for solaris x86 64bit

Campbell Barton ideasman42 at gmail.com
Fri Jan 4 12:49:54 CET 2008


Revision: 13127
          http://projects.blender.org/plugins/scmsvn/viewcvs.php?view=rev&root=bf-blender&revision=13127
Author:   campbellbarton
Date:     2008-01-04 12:49:54 +0100 (Fri, 04 Jan 2008)

Log Message:
-----------
added libpng, for solaris x86 64bit

Added Paths:
-----------
    trunk/lib/solaris-2.10-x86_64/png/BUILD.TXT
    trunk/lib/solaris-2.10-x86_64/png/bin/
    trunk/lib/solaris-2.10-x86_64/png/bin/libpng-config
    trunk/lib/solaris-2.10-x86_64/png/bin/libpng12-config
    trunk/lib/solaris-2.10-x86_64/png/include/
    trunk/lib/solaris-2.10-x86_64/png/include/libpng12/
    trunk/lib/solaris-2.10-x86_64/png/include/libpng12/png.h
    trunk/lib/solaris-2.10-x86_64/png/include/libpng12/pngconf.h
    trunk/lib/solaris-2.10-x86_64/png/include/png.h
    trunk/lib/solaris-2.10-x86_64/png/include/pngconf.h
    trunk/lib/solaris-2.10-x86_64/png/lib/
    trunk/lib/solaris-2.10-x86_64/png/lib/libpng.a
    trunk/lib/solaris-2.10-x86_64/png/lib/libpng.so
    trunk/lib/solaris-2.10-x86_64/png/lib/libpng.so.3
    trunk/lib/solaris-2.10-x86_64/png/lib/libpng.so.3.24.0
    trunk/lib/solaris-2.10-x86_64/png/lib/libpng12.a
    trunk/lib/solaris-2.10-x86_64/png/lib/libpng12.so
    trunk/lib/solaris-2.10-x86_64/png/lib/libpng12.so.0
    trunk/lib/solaris-2.10-x86_64/png/lib/libpng12.so.0.24.0
    trunk/lib/solaris-2.10-x86_64/png/lib/pkgconfig/
    trunk/lib/solaris-2.10-x86_64/png/lib/pkgconfig/libpng.pc
    trunk/lib/solaris-2.10-x86_64/png/lib/pkgconfig/libpng12.pc
    trunk/lib/solaris-2.10-x86_64/png/share/
    trunk/lib/solaris-2.10-x86_64/png/share/man/
    trunk/lib/solaris-2.10-x86_64/png/share/man/man3/
    trunk/lib/solaris-2.10-x86_64/png/share/man/man3/libpng.3
    trunk/lib/solaris-2.10-x86_64/png/share/man/man3/libpngpf.3
    trunk/lib/solaris-2.10-x86_64/png/share/man/man5/
    trunk/lib/solaris-2.10-x86_64/png/share/man/man5/png.5

Added: trunk/lib/solaris-2.10-x86_64/png/BUILD.TXT
===================================================================
--- trunk/lib/solaris-2.10-x86_64/png/BUILD.TXT	                        (rev 0)
+++ trunk/lib/solaris-2.10-x86_64/png/BUILD.TXT	2008-01-04 11:49:54 UTC (rev 13127)
@@ -0,0 +1,7 @@
+bunzip2 libpng-1.2.24.tar.bz2
+tar -xpvf libpng-1.2.24.tar
+cd libpng-1.2.24
+export CC="gcc -m64"
+./configure --prefix=/L/png
+gmake
+gmake install

Added: trunk/lib/solaris-2.10-x86_64/png/bin/libpng-config
===================================================================
--- trunk/lib/solaris-2.10-x86_64/png/bin/libpng-config	                        (rev 0)
+++ trunk/lib/solaris-2.10-x86_64/png/bin/libpng-config	2008-01-04 11:49:54 UTC (rev 13127)
@@ -0,0 +1 @@
+link libpng12-config
\ No newline at end of file


Property changes on: trunk/lib/solaris-2.10-x86_64/png/bin/libpng-config
___________________________________________________________________
Name: svn:special
   + *

Added: trunk/lib/solaris-2.10-x86_64/png/bin/libpng12-config
===================================================================
--- trunk/lib/solaris-2.10-x86_64/png/bin/libpng12-config	                        (rev 0)
+++ trunk/lib/solaris-2.10-x86_64/png/bin/libpng12-config	2008-01-04 11:49:54 UTC (rev 13127)
@@ -0,0 +1,124 @@
+#! /bin/sh
+
+# libpng-config
+# provides configuration info for libpng.
+
+# Copyright (C) 2002, 2004, 2006, 2007 Glenn Randers-Pehrson
+# For conditions of distribution and use, see copyright notice in png.h
+
+# Modeled after libxml-config.
+
+version="1.2.24"
+prefix="/L/png"
+exec_prefix="${prefix}"
+libdir="${exec_prefix}/lib"
+includedir="${prefix}/include/libpng12"
+libs="-lpng12"
+all_libs="-lpng12 -lz -lm"
+I_opts="-I${includedir}"
+L_opts="-L${libdir}"
+R_opts=""
+cppflags=""
+ccopts=""
+ldopts=""
+
+usage()
+{
+    cat <<EOF
+Usage: $0 [OPTION] ...
+
+Known values for OPTION are:
+
+  --prefix        print libpng prefix
+  --libdir        print path to directory containing library
+  --libs          print library linking information
+  --ccopts        print compiler options
+  --cppflags      print pre-processor flags
+  --cflags        print preprocessor flags, I_opts, and compiler options
+  --I_opts        print "-I" include options
+  --L_opts        print linker "-L" flags for dynamic linking
+  --R_opts        print dynamic linker "-R" or "-rpath" flags
+  --ldopts        print linker options
+  --ldflags       print linker flags (ldopts, L_opts, R_opts, and libs)
+  --static        revise subsequent outputs for static linking
+  --help          print this help and exit
+  --version       print version information
+EOF
+
+    exit $1
+}
+
+if test $# -eq 0; then
+    usage 1
+fi
+
+while test $# -gt 0; do
+    case "$1" in
+
+    --prefix)
+        echo ${prefix}
+        ;;
+
+    --version)
+        echo ${version}
+        exit 0
+        ;;
+
+    --help)
+        usage 0
+        ;;
+
+    --ccopts)
+        echo ${ccopts}
+        ;;
+
+    --cppflags)
+        echo ${cppflags}
+        ;;
+
+    --cflags)
+        echo ${I_opts} ${cppflags} ${ccopts}
+        ;;
+
+    --libdir)
+        echo ${libdir}
+        ;;
+
+    --libs)
+        echo ${libs}
+        ;;
+
+    --I_opts)
+        echo ${I_opts}
+        ;;
+
+    --L_opts)
+        echo ${L_opts}
+        ;;
+
+    --R_opts)
+        echo ${R_opts}
+        ;;
+
+    --ldopts)
+    	echo ${ldopts}
+	;;
+
+    --ldflags)
+        echo ${ldopts} ${L_opts} ${R_opts} ${libs}
+        ;;
+
+    --static)
+        R_opts=""
+	libs=${all_libs}
+        ;;
+
+    *)
+        usage
+        exit 1
+        ;;
+    esac
+    shift
+done
+
+exit 0


Property changes on: trunk/lib/solaris-2.10-x86_64/png/bin/libpng12-config
___________________________________________________________________
Name: svn:executable
   + *

Added: trunk/lib/solaris-2.10-x86_64/png/include/libpng12/png.h
===================================================================
--- trunk/lib/solaris-2.10-x86_64/png/include/libpng12/png.h	                        (rev 0)
+++ trunk/lib/solaris-2.10-x86_64/png/include/libpng12/png.h	2008-01-04 11:49:54 UTC (rev 13127)
@@ -0,0 +1,3549 @@
+
+/* png.h - header file for PNG reference library
+ *
+ * libpng version 1.2.24 - December 14, 2007
+ * Copyright (c) 1998-2007 Glenn Randers-Pehrson
+ * (Version 0.96 Copyright (c) 1996, 1997 Andreas Dilger)
+ * (Version 0.88 Copyright (c) 1995, 1996 Guy Eric Schalnat, Group 42, Inc.)
+ *
+ * Authors and maintainers:
+ *  libpng versions 0.71, May 1995, through 0.88, January 1996: Guy Schalnat
+ *  libpng versions 0.89c, June 1996, through 0.96, May 1997: Andreas Dilger
+ *  libpng versions 0.97, January 1998, through 1.2.24 - December 14, 2007: Glenn
+ *  See also "Contributing Authors", below.
+ *
+ * Note about libpng version numbers:
+ *
+ *    Due to various miscommunications, unforeseen code incompatibilities
+ *    and occasional factors outside the authors' control, version numbering
+ *    on the library has not always been consistent and straightforward.
+ *    The following table summarizes matters since version 0.89c, which was
+ *    the first widely used release:
+ *
+ *    source                 png.h  png.h  shared-lib
+ *    version                string   int  version
+ *    -------                ------ -----  ----------
+ *    0.89c "1.0 beta 3"     0.89      89  1.0.89
+ *    0.90  "1.0 beta 4"     0.90      90  0.90  [should have been 2.0.90]
+ *    0.95  "1.0 beta 5"     0.95      95  0.95  [should have been 2.0.95]
+ *    0.96  "1.0 beta 6"     0.96      96  0.96  [should have been 2.0.96]
+ *    0.97b "1.00.97 beta 7" 1.00.97   97  1.0.1 [should have been 2.0.97]
+ *    0.97c                  0.97      97  2.0.97
+ *    0.98                   0.98      98  2.0.98
+ *    0.99                   0.99      98  2.0.99
+ *    0.99a-m                0.99      99  2.0.99
+ *    1.00                   1.00     100  2.1.0 [100 should be 10000]
+ *    1.0.0      (from here on, the   100  2.1.0 [100 should be 10000]
+ *    1.0.1       png.h string is   10001  2.1.0
+ *    1.0.1a-e    identical to the  10002  from here on, the shared library
+ *    1.0.2       source version)   10002  is 2.V where V is the source code
+ *    1.0.2a-b                      10003  version, except as noted.
+ *    1.0.3                         10003
+ *    1.0.3a-d                      10004
+ *    1.0.4                         10004
+ *    1.0.4a-f                      10005
+ *    1.0.5 (+ 2 patches)           10005
+ *    1.0.5a-d                      10006
+ *    1.0.5e-r                      10100 (not source compatible)
+ *    1.0.5s-v                      10006 (not binary compatible)
+ *    1.0.6 (+ 3 patches)           10006 (still binary incompatible)
+ *    1.0.6d-f                      10007 (still binary incompatible)
+ *    1.0.6g                        10007
+ *    1.0.6h                        10007  10.6h (testing xy.z so-numbering)
+ *    1.0.6i                        10007  10.6i
+ *    1.0.6j                        10007  2.1.0.6j (incompatible with 1.0.0)
+ *    1.0.7beta11-14        DLLNUM  10007  2.1.0.7beta11-14 (binary compatible)
+ *    1.0.7beta15-18           1    10007  2.1.0.7beta15-18 (binary compatible)
+ *    1.0.7rc1-2               1    10007  2.1.0.7rc1-2 (binary compatible)
+ *    1.0.7                    1    10007  (still compatible)
+ *    1.0.8beta1-4             1    10008  2.1.0.8beta1-4
+ *    1.0.8rc1                 1    10008  2.1.0.8rc1
+ *    1.0.8                    1    10008  2.1.0.8
+ *    1.0.9beta1-6             1    10009  2.1.0.9beta1-6
+ *    1.0.9rc1                 1    10009  2.1.0.9rc1
+ *    1.0.9beta7-10            1    10009  2.1.0.9beta7-10
+ *    1.0.9rc2                 1    10009  2.1.0.9rc2
+ *    1.0.9                    1    10009  2.1.0.9
+ *    1.0.10beta1              1    10010  2.1.0.10beta1
+ *    1.0.10rc1                1    10010  2.1.0.10rc1
+ *    1.0.10                   1    10010  2.1.0.10
+ *    1.0.11beta1-3            1    10011  2.1.0.11beta1-3
+ *    1.0.11rc1                1    10011  2.1.0.11rc1
+ *    1.0.11                   1    10011  2.1.0.11
+ *    1.0.12beta1-2            2    10012  2.1.0.12beta1-2
+ *    1.0.12rc1                2    10012  2.1.0.12rc1
+ *    1.0.12                   2    10012  2.1.0.12
+ *    1.1.0a-f                 -    10100  2.1.1.0a-f (branch abandoned)
+ *    1.2.0beta1-2             2    10200  2.1.2.0beta1-2
+ *    1.2.0beta3-5             3    10200  3.1.2.0beta3-5
+ *    1.2.0rc1                 3    10200  3.1.2.0rc1
+ *    1.2.0                    3    10200  3.1.2.0
+ *    1.2.1beta1-4             3    10201  3.1.2.1beta1-4
+ *    1.2.1rc1-2               3    10201  3.1.2.1rc1-2
+ *    1.2.1                    3    10201  3.1.2.1
+ *    1.2.2beta1-6            12    10202  12.so.0.1.2.2beta1-6
+ *    1.0.13beta1             10    10013  10.so.0.1.0.13beta1
+ *    1.0.13rc1               10    10013  10.so.0.1.0.13rc1
+ *    1.2.2rc1                12    10202  12.so.0.1.2.2rc1
+ *    1.0.13                  10    10013  10.so.0.1.0.13
+ *    1.2.2                   12    10202  12.so.0.1.2.2
+ *    1.2.3rc1-6              12    10203  12.so.0.1.2.3rc1-6
+ *    1.2.3                   12    10203  12.so.0.1.2.3
+ *    1.2.4beta1-3            13    10204  12.so.0.1.2.4beta1-3
+ *    1.0.14rc1               13    10014  10.so.0.1.0.14rc1
+ *    1.2.4rc1                13    10204  12.so.0.1.2.4rc1
+ *    1.0.14                  10    10014  10.so.0.1.0.14
+ *    1.2.4                   13    10204  12.so.0.1.2.4
+ *    1.2.5beta1-2            13    10205  12.so.0.1.2.5beta1-2
+ *    1.0.15rc1-3             10    10015  10.so.0.1.0.15rc1-3
+ *    1.2.5rc1-3              13    10205  12.so.0.1.2.5rc1-3
+ *    1.0.15                  10    10015  10.so.0.1.0.15
+ *    1.2.5                   13    10205  12.so.0.1.2.5
+ *    1.2.6beta1-4            13    10206  12.so.0.1.2.6beta1-4
+ *    1.0.16                  10    10016  10.so.0.1.0.16
+ *    1.2.6                   13    10206  12.so.0.1.2.6
+ *    1.2.7beta1-2            13    10207  12.so.0.1.2.7beta1-2
+ *    1.0.17rc1               10    10017  10.so.0.1.0.17rc1
+ *    1.2.7rc1                13    10207  12.so.0.1.2.7rc1
+ *    1.0.17                  10    10017  10.so.0.1.0.17
+ *    1.2.7                   13    10207  12.so.0.1.2.7
+ *    1.2.8beta1-5            13    10208  12.so.0.1.2.8beta1-5

@@ Diff output truncated at 10240 characters. @@




More information about the Bf-blender-cvs mailing list